<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('servicecats', function (Blueprint $table) {
            $table->id();
            $table->string('main_image')->nullable();
            $table->string('category_name')->nullable();
            $table->string('category_name_slug')->nullable();
            $table->longText('short_description')->nullable();
            $table->string('aboutsection_image')->nullable();
            $table->longText('aboutsection_first_content')->nullable();
            $table->longText('aboutsection_sec_content')->nullable();
            $table->string('cardsection_heading1')->nullable();
            $table->longText('cardsection_content1')->nullable();
            $table->string('cardsection_heading2')->nullable();
            $table->longText('cardsection_content2')->nullable();
            $table->string('cardsection_heading3')->nullable();
            $table->longText('cardsection_content3')->nullable();
            $table->string('nextabout_sec_image')->nullable();
            $table->string('nextabout_sec_heading')->nullable();
            $table->longText('nextabout_sec_content1')->nullable();
            $table->longText('nextabout_sec_content2')->nullable();
            $table->string('product_cat_id')->nullable();
            $table->string('service_area_heading')->nullable();
            $table->string('service_area_sub_heading')->nullable();
            $table->longText('service_area_content')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('servicecats');
    }
};
